Problems with Plugins after Migration

Hi

I have migrated a staging site over to production and I am now having problems with plugins.

I have installed WPMUDEV Dashboard and that seems fine.

When installing other WPMUDEV plugins I am getting errors - Server error status: OK [200]

Could you please advise me how to fix?

Many thanks,

Wes

  • Nastia

    Hello weshinckes , hope you are doing well!

    Server error 200 it means that the plugin has installed successfully. Would you please check if the plugin is actually installed in the Plugins > All Plugins list?

    Please try the following to fix this issue
    - Deactivate all the plugins, except WPMU DEV Dashboard
    - Log out from WPMU DEV Dashboard and log in again
    - Go to WPMU DEV > Plugins and install, will the 200 error appear again?
    - If everything is well, activate back the rest of the plugins and try to install one more plugin from WPMU DEV > Plugins

    If the issue persists, please grant access from WPMU DEV > Support so I can have a closer look?

    Please see the detailed instructions on the link below:
    https://premium.wpmudev.org/manuals/wpmu-dev-dashboard-enabling-staff-login/

    Kind regards,
    Nastia

  • weshinckes

    Hi Nastia,

    I've followed your instructions and there appears to be something very wrong with all my WPMU plugins.

    When logging out there were many rewrite header errors and I became locked out of the system.

    Deleting the wp-defender and hummingbird plugins allowed me to log back in.

    Trying to reinstall Hummingbird causes this error - Warning: Cannot modify header information - headers already sent by (output started at /home/content/90/7866490/html/wp-content/plugins/wp-defender/app/class-wd-controller.php:39) in /home/content/90/7866490/html/wp-login.php on line 394

    Warning: Cannot modify header information - headers already sent by (output started at /home/content/90/7866490/html/wp-content/plugins/wp-defender/app/class-wd-controller.php:39) in /home/content/90/7866490/html/wp-login.php on line 407

    Could you please take a look, I have enabled access to your team.

    http://www.keexpress.co.uk/wp-admin

    Many thanks,

    Wes

  • Sajid

    Hello weshinckes,
    Hope you are doing good today :slight_smile:

    Thanks for enabling support staff access. I tried install Google Analytics +! from WP Dashboard -> WPMU DEV -> Plugins and it got installed successfully.

    Could you please try again after clearing your browser cache or try checking on a different browser.

    If the issue persists, then please tell us whether this occurs on some specific plugins or all ? Also, please share steps (if possible) how we can replicate it on your site.

    Take care and have a nice day :slight_smile:

    Best Regards,
    Sajid - WPMU DEV Support

  • weshinckes

    Hi Sajid,

    That hasn't helped. I have just activated WP Defender again and have been locked out of Wordpress Admin again.

    This is the error - Warning: Cannot modify header information - headers already sent by (output started at /home/content/90/7866490/html/wp-content/plugins/wp-defender/app/class-wd-controller.php:39) in /home/content/90/7866490/html/wp-includes/pluggable.php on line 1179

    Deleting the plugin via FTP will allow me back in again.

    Also when trying to activate Hummingbird through the WPMU Dashboard Plugin page I get a Server Error 500 response.

    Please take another look and try the above to replicate.

    Thanks,

    Wes

  • Sajid

    Hello weshinckes :slight_smile:

    That is strange and I am sorry to hear that did not helped. Could you please send in FTP and WordPress admin details so I could further dig into it and try to fix it.

    You can send the requested details via our secure contact form in following format.

    Subject: "Attn: Sajid Javed”
    - WordPress admin username
    - WordPress admin password
    - login url
    - FTP credentials (host/username/password)
    - link back to this thread for reference

    Take care and look forward towards your response Wes :slight_smile:

    Best Regards,
    Sajid - WPMU DEV Support

  • Sajid

    Hello weshinckes,
    Hope you had a great weekend and thanks for sending in the credentials :slight_smile:

    I could see this issue on your site and also could replicate it on my own test site by trying to setup a similar environment like yours.

    The issue here is not plugin itself, it is basically the PHP version (5.2.17) you are using is out dated. But this does not mean we would ignore it completely. I am bringing it to our developer's attention so it could patched up.

    Right now what you can do is, ask you host to setup a later version of PHP. The recommended is PHP 5.6.x or PHP 7.x.

    Also, I noticed that, maximum execution time is set too low on your site. Please also ask your host to increase it. The recommended time limit is 120 (or higher is better) in seconds.

    Please follow the instructions on this blog post if you want to do it yourself:
    https://premium.wpmudev.org/blog/increase-memory-limit/

    Take care and have a wonderful day :slight_smile:

    Best Regards,
    Sajid - WPMU DEV Support

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.